ALAS2-2021-1642


Amazon Linux 2 Security Advisory: ALAS-2021-1642
Advisory Release Date: 2021-05-20 16:55 Pacific
Advisory Updated Date: 2021-05-24 18:00 Pacific
Severity: Medium
References: CVE-2020-1946 

Issue Overview:

A flaw was found in spamassassin. Malicious rule configuration (.cf) files can be configured to run system commands without any output or errors allowing exploits to be injected in a number of scenarios. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability. (CVE-2020-1946 )


Affected Packages:

spamassassin


Issue Correction:
Run yum update spamassassin to update your system.

New Packages:
aarch64:
    spamassassin-3.4.4-3.amzn2.0.1.aarch64
    spamassassin-debuginfo-3.4.4-3.amzn2.0.1.aarch64

i686:
    spamassassin-3.4.4-3.amzn2.0.1.i686
    spamassassin-debuginfo-3.4.4-3.amzn2.0.1.i686

src:
    spamassassin-3.4.4-3.amzn2.0.1.src

x86_64:
    spamassassin-3.4.4-3.amzn2.0.1.x86_64
    spamassassin-debuginfo-3.4.4-3.amzn2.0.1.x86_64